Package org.apache.avro.util

# Class RandomData

java.lang.Object
org.apache.avro.util.RandomData

All Implemented Interfaces:
  `Iterable<Object>`

public class RandomData extends Object implements Iterable<Object>
Generates schema data as Java objects with random values.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`USE_DEFAULT`

## Constructor Summary

Constructors
Constructor
Description
`RandomData(GenericData genericData, Schema schema, int count)`
`RandomData(GenericData genericData, Schema schema, int count, boolean utf8ForString)`
`RandomData(GenericData genericData, Schema schema, int count, long seed)`
`RandomData(GenericData genericData, Schema schema, int count, long seed, boolean utf8ForString)`
`RandomData(Schema schema, int count)`
`RandomData(Schema schema, int count, boolean utf8ForString)`
`RandomData(Schema schema, int count, long seed)`
`RandomData(Schema schema, int count, long seed, boolean utf8ForString)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<Object>`
`iterator()`
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### USE_DEFAULT

public static final String USE_DEFAULT

See Also:
  - Constant Field Values

## Constructor Details

### RandomData

public RandomData(Schema schema, int count)

### RandomData

public RandomData(Schema schema, int count, long seed)

### RandomData

public RandomData(Schema schema, int count, boolean utf8ForString)

### RandomData

public RandomData(Schema schema, int count, long seed, boolean utf8ForString)

### RandomData

public RandomData(GenericData genericData, Schema schema, int count)

### RandomData

public RandomData(GenericData genericData, Schema schema, int count, long seed)

### RandomData

public RandomData(GenericData genericData, Schema schema, int count, boolean utf8ForString)

### RandomData

public RandomData(GenericData genericData, Schema schema, int count, long seed, boolean utf8ForString)

## Method Details

### iterator

public Iterator<Object> iterator()

Specified by:
  `iterator` in interface `Iterable<Object>`

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`